PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::electrical::diffusion::ElementParams3D Struct Reference

`#include <solvers/electrical/diffusion/diffusion3d.hpp>`

Collaboration diagram for plask::electrical::diffusion::ElementParams3D:
[legend]

## Public Member Functions
| ElementParams3D (double X, double Y, size_t n00, size_t n01, size_t n10, size_t n11)
| ElementParams3D (const RectangularMaskedMesh2D::Element &element)
| ElementParams3D (const ActiveRegion3D &active, size_t ie)

## Public Attributes
const size_t | n00
const size_t | n01
const size_t | n10
const size_t | n11
const size_t | i00
const size_t | i01
const size_t | i10
const size_t | i02
const size_t | i03
const size_t | i12
const size_t | i20
const size_t | i21
const size_t | i30
const size_t | i22
const size_t | i23
const size_t | i32
const double | X
const double | Y

## Detailed Description

Definition at line 106 of file diffusion3d.hpp.

## Constructor & Destructor Documentation

## ◆ ElementParams3D() [1/3]

plask::electrical::diffusion::ElementParams3D::ElementParams3D | ( | double | X,
|  | double | Y,
|  | size_t | n00,
|  | size_t | n01,
|  | size_t | n10,
|  | size_t | n11
| ) |  |
| inline

Definition at line 109 of file diffusion3d.hpp.

## ◆ ElementParams3D() [2/3]

plask::electrical::diffusion::ElementParams3D::ElementParams3D | ( | const RectangularMaskedMesh2D::Element & | element | ) |
| inline

Definition at line 128 of file diffusion3d.hpp.

## ◆ ElementParams3D() [3/3]

plask::electrical::diffusion::ElementParams3D::ElementParams3D | ( | const ActiveRegion3D & | active,
|  | size_t | ie
| ) |  |
| inline

Definition at line 135 of file diffusion3d.hpp.

## Member Data Documentation

## ◆ i00

const size_t plask::electrical::diffusion::ElementParams3D::i00

Definition at line 107 of file diffusion3d.hpp.

## ◆ i01

const size_t plask::electrical::diffusion::ElementParams3D::i01

Definition at line 107 of file diffusion3d.hpp.

## ◆ i02

const size_t plask::electrical::diffusion::ElementParams3D::i02

Definition at line 107 of file diffusion3d.hpp.

## ◆ i03

const size_t plask::electrical::diffusion::ElementParams3D::i03

Definition at line 107 of file diffusion3d.hpp.

## ◆ i10

const size_t plask::electrical::diffusion::ElementParams3D::i10

Definition at line 107 of file diffusion3d.hpp.

## ◆ i12

const size_t plask::electrical::diffusion::ElementParams3D::i12

Definition at line 107 of file diffusion3d.hpp.

## ◆ i20

const size_t plask::electrical::diffusion::ElementParams3D::i20

Definition at line 107 of file diffusion3d.hpp.

## ◆ i21

const size_t plask::electrical::diffusion::ElementParams3D::i21

Definition at line 107 of file diffusion3d.hpp.

## ◆ i22

const size_t plask::electrical::diffusion::ElementParams3D::i22

Definition at line 107 of file diffusion3d.hpp.

## ◆ i23

const size_t plask::electrical::diffusion::ElementParams3D::i23

Definition at line 107 of file diffusion3d.hpp.

## ◆ i30

const size_t plask::electrical::diffusion::ElementParams3D::i30

Definition at line 107 of file diffusion3d.hpp.

## ◆ i32

const size_t plask::electrical::diffusion::ElementParams3D::i32

Definition at line 107 of file diffusion3d.hpp.

## ◆ n00

const size_t plask::electrical::diffusion::ElementParams3D::n00

Definition at line 107 of file diffusion3d.hpp.

## ◆ n01

const size_t plask::electrical::diffusion::ElementParams3D::n01

Definition at line 107 of file diffusion3d.hpp.

## ◆ n10

const size_t plask::electrical::diffusion::ElementParams3D::n10

Definition at line 107 of file diffusion3d.hpp.

## ◆ n11

const size_t plask::electrical::diffusion::ElementParams3D::n11

Definition at line 107 of file diffusion3d.hpp.

## ◆ X

const double plask::electrical::diffusion::ElementParams3D::X

Definition at line 108 of file diffusion3d.hpp.

## ◆ Y

const double plask::electrical::diffusion::ElementParams3D::Y

Definition at line 108 of file diffusion3d.hpp.

The documentation for this struct was generated from the following file:

- solvers/electrical/diffusion/diffusion3d.hpp